<?PHP
////++++++++++++++++ CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("../Conections/$VpnEn.php");
include ("../Funcion_Numerico.php");

$Cve_Modulo = "CMOD201506100215";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];


	/////////Identificar personalización 1 
		$sqlP1 = mysql_query("select * from wms_personaliza1 where ID='1'");
		if (mysql_numrows($sqlP1)==0) echo "";
		else{
		$registroP1=mysql_fetch_array($sqlP1);
		}
		if (mysql_numrows($sqlP1)>0)
		{
		$BBackg=$registroP1["BODY_BACKGROUND_IMG"];
		}
	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
		
	/////////Identificar personalización 3
		$sqlP3 = mysql_query("select * from wms_personaliza3 where ID='1'");
		if (mysql_numrows($sqlP3)==0) echo "";
		else{
		$registroP3=mysql_fetch_array($sqlP3);
		}
		if (mysql_numrows($sqlP3)>0)
		{
		$FuTi_Form=$registroP3["FUENTE_TITULOFORMULARIO"];
		$TaTi_Form=$registroP3["TAMANO_TITULOFORMULARIO"];
		$BgTi_Form=$registroP3["COLOR_TITULOFORMULARIO"];
		$FuCu_Form=$registroP3["FUENTE_FORMULARIO"];
		$TaCu_Form=$registroP3["TAMANO_FORMULARIO"];
		$BgCu_Form=$registroP3["COLOR_FORMULARIO"];
		$FonTi_Form=$registroP3["BG_TABLATITULO"];
		$FonCi_Form=$registroP3["BG_TABLACUERPO"];
		$FonSe_Form=$registroP3["BG_TABLASEPARACION"];
		$Borde_Form=$registroP3["BORDER_CAMPO"];
		$CamDe_Form=$registroP3["BG_CAMPODESHABILITADO"];
		$ClaBtn=$registroP3["CLASE_BOTON"];
		}
		
	/////////Identificar personalización 4
		$sqlP4 = mysql_query("select * from wms_personaliza4 where ID='1'");
		if (mysql_numrows($sqlP4)==0) echo "";
		else{
		$registroP4=mysql_fetch_array($sqlP4);
		}
		if (mysql_numrows($sqlP4)>0)
		{
		$Bord_Tabl=$registroP4["BG_BORDE"];
		$Fond_Tabl=$registroP4["BG_FONDOGRALTABLA"];
		$BgF1_Tabl=$registroP4["BG_FILA_1"];
		$BgF2_Tabl=$registroP4["BG_FILA_2"];
		$FTit_Tabl=$registroP4["FUENTE_TABLATITULO"];
		$TTit_Tabl=$registroP4["TAMANO_FUENTETABLATITULO"];
		$CFTi_Tabl=$registroP4["COLOR_FUENTETABLATITULO"];
		$FEnc_Tabl=$registroP4["FUENTE_TABLAENCA"];
		$TEnc_Tabl=$registroP4["TAMANO_FUENTETABLAENCA"];
		$CEnc_Tabl=$registroP4["COLOR_FUENTETABLAENCA"];
		$FCue_Tabl=$registroP4["FUENTE_TABLACUER"];
		$TCue_Tabl=$registroP4["TAMANO_FUENTETABLACUER"];
		$CCue_Tabl=$registroP4["COLOR_FUENTETABLACUER"];
		}		
		
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		}
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=../LogOff_Force.php?USUkp=$UsuEn&IdDeAcc=$IDSeEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=../LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=../SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
	
	/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=../LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&' target='_parent'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3
		
		//////HORA y FECHA/////
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$Fecha=date("Y/m/d");
			
			/////Vigencia de Documento
			$VigenciaFecha = strtotime ( '+2 day' , strtotime ( $Fecha ) ) ;
			$VigenciaFecha = date ( 'Y/m/d' , $VigenciaFecha );
			
			//////Identificar la Cuenta y la Bodega
			$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
			if (mysql_numrows($sqlCR1)==0) echo "";
			else{
			$registroCR1=mysql_fetch_array($sqlCR1);
			}
			if (mysql_numrows($sqlCR1)>0)
			{
			$CveBodCR1=$registroCR1["CVE_BODEGA"];
			$CveCueCR1=$registroCR1["CVE_CUENTA"];
			}
			
				$sqlCR2 = mysql_query("select * from wms_configura_altabodega where CVE_BODEGA='$CveBodCR1'");
				if (mysql_numrows($sqlCR2)==0) echo "";
				else{
				$registroCR2=mysql_fetch_array($sqlCR2);
				}
				if (mysql_numrows($sqlCR2)>0)
				{
				$NomBodCR2=$registroCR2["NOMBRE_BODEGA"];
				}

////++++++++++++++ FIN CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<?PHP echo"<link rel='stylesheet' href='../cssBtn/style_Btns.css'>"; ?>
<!-- <script language='javascript' src="popcalendar.js"></script> -->

<!-- Inicia Clases para Calendario -->
<link rel="stylesheet" href="//logsyswms.com/CalendarioWMS/CSS/jquery-ui.css">
<script src="//logsyswms.com/CalendarioWMS/JS/jquery-1.10.2.js"></script>
<script src="//logsyswms.com/CalendarioWMS/JS/jquery-ui.js"></script>

<script type="text/javascript">
jQuery(function($){
	$.datepicker.regional['es'] = {
		closeText: 'Cerrar',
		prevText: '&#x3c;Ant',
		nextText: 'Sig&#x3e;',
		currentText: 'Hoy',
		monthNames: ['Enero','Febrero','Marzo','Abril','Mayo','Junio',
		'Julio','Agosto','Septiembre','Octubre','Noviembre','Diciembre'],
		monthNamesShort: ['Ene','Feb','Mar','Abr','May','Jun',
		'Jul','Ago','Sep','Oct','Nov','Dic'],
		dayNames: ['Domingo','Lunes','Martes','Mi&eacute;rcoles','Jueves','Viernes','S&aacute;bado'],
		dayNamesShort: ['Dom','Lun','Mar','Mi&eacute;','Juv','Vie','S&aacute;b'],
		dayNamesMin: ['Do','Lu','Ma','Mi','Ju','Vi','S&aacute;'],
		weekHeader: 'Sm',
		dateFormat: 'yy/mm/dd',
		firstDay: 1,
		isRTL: false,
		showMonthAfterYear: false,
		yearSuffix: ''};
	$.datepicker.setDefaults($.datepicker.regional['es']);
});    

        $(document).ready(function() {
           $("#datepicker").datepicker();
        });
		
		$(document).ready(function() {
           $("#datepicker2").datepicker();
        });
</script>
<!-- Termina Clases para Calendario -->

<link rel="shortcut icon" href="../../WMS_Resources/images/favicon.ico">
<title><?PHP echo $Titulo; ?></title>
<style type="text/css">
body {
	background-image: url(../../WMS_Resources/images/MainBkgr/<?PHP echo $BBackg; ?>);
}

.Clase_TipoLetraTitulos {
	font-family: <?PHP echo $FuTi_Form; ?>;
	font-size:<?PHP echo $TaTi_Form; ?>px;
	color:<?PHP echo $BgTi_Form; ?>;
}
.Clase_TipoLetra {
	font-family: <?PHP echo $FuCu_Form; ?>;
	font-size:<?PHP echo $TaCu_Form; ?>px;
	color:<?PHP echo $BgCu_Form; ?>;
}
.Clase_INPUT_Text {
	border: 1px solid <?PHP echo $Borde_Form; ?>;
	background: #FFFFFF;
	COLOR: #000000;
	FONT-FAMILY: Arial, Helvetica, sans-serif;
	FONT-SIZE: 12px;
	}

</style>

<!-- Inicia Validador de Inactividad -->
<script type="text/javascript">
var Inac;
function ini() {
  Inac = setTimeout('location="../LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
function parar() {
  clearTimeout(Inac);
  Inac = setTimeout('location="../LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
</script>

<!-- Termina Validador de Inactividad -->

<!-- Inicia Función Abre POPUP -->
<script languaje="JavaScript">
function otra_ventana(direccion) {
var ruta=direccion;

var caracteristicas="toolbar=0, location=0, directories=0, resizable=0, scrollbars=yes, height=400, width=600, top=120, left=350";
win=window.open(ruta ,"",caracteristicas);
}
</script>
<script type="text/javascript">
function popup(url,ancho,alto) {
var posicion_x; 
var posicion_y; 
posicion_x=(screen.width/2)-(ancho/2); 
posicion_y=(screen.height/2)-(alto/2); 
window.open(url, "mstech.mx", "width="+ancho+",height="+alto+",menubar=0,toolbar=0,directories=0,scrollbars=yes,resizable=no,left="+posicion_x+",top="+posicion_y+"");
}
</script>
<!-- Termina Función Abre POPUP -->
</head>

<body onload="ini()" onkeypress="parar()" onclick="parar()">
<?PHP
///include ("../MenuEstructura.php");
?>

<!-- Inicia Cuerpo de la Interfaz Gráfica -->
<Br>

<div align="center">
<?PHP
			
///Arrastrando Variables de Operación
$NoDocSuEn=$_POST['ItemDocSurKP'] or $NoDocSuEn=$_GET['ItemDocSurKP'];
$CveCueCR1=$_POST['ItemCtaKP'] or $CveCueCR1=$_GET['ItemCtaKP'];				
			
///(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)///	
///							INICIA PROCESO ESPECIAL ARCOSA - COMUNICACION VIA INTERFAZ
///------------------------------------------------------------------------------------------------------------------

///Consultar datos de Documento de Surtido
$sql_DDSIA = mysql_query("select EDO_DOCUMENTO,REFERENCIA1,REFERENCIA2,TIPO_EXTRACCION,TIPO_SALIDA,DESTINO,PRIORIDAD,FECHA_CIERRE,DISPONIBILIDAD,OBSERVACIONES,ANOTA_1,ANOTA_2 from tabla_docsurtido where CVE_CUENTA='$CveCueCR1' AND NO_DOCUMENTO='$NoDocSuEn' Order By ID DESC Limit 0,1");
if (mysql_numrows($sql_DDSIA)==0) echo "";
else{
$registro_DDSIA=mysql_fetch_array($sql_DDSIA);
}
if (mysql_numrows($sql_DDSIA)>0)
{
$EdoDoc_DDSIA=$registro_DDSIA["EDO_DOCUMENTO"];
$Refer1_DDSIA=$registro_DDSIA["REFERENCIA1"];
$Refer2_DDSIA=$registro_DDSIA["REFERENCIA2"];
$TipExt_DDSIA=$registro_DDSIA["TIPO_EXTRACCION"];
$PedExt_DDSIA=$registro_DDSIA["PEDIMENTO_EXTRACCION"];
$TipSal_DDSIA=$registro_DDSIA["TIPO_SALIDA"];
$CveDes_DDSIA=$registro_DDSIA["DESTINO"];
$Priori_DDSIA=$registro_DDSIA["PRIORIDAD"];
$FeCier_DDSIA=$registro_DDSIA["FECHA_CIERRE"];
$Dispon_DDSIA=$registro_DDSIA["DISPONIBILIDAD"];
$Observ_DDSIA=$registro_DDSIA["OBSERVACIONES"];
$ANota1_DDSIA=$registro_DDSIA["ANOTA_1"];
$Anota2_DDSIA=$registro_DDSIA["ANOTA_2"];
}

	///Fecha y Hora
	$Hora=time();
	$HoraOK=date("H:i:s",$Hora);
	$Fecha=date("Y/m/d");
			
	///Configuramos conexión a BD Interfaces
	$con_BDGIA= mysql_connect("localhost","ArcosaTep1","Interf@ces_2018");
	mysql_select_db("wms_interfaces_gia_tep1", $con_BDGIA);	

	$sql_IEDL2 = mysql_query("select No_Documento from interfaz_surtido_documentos where No_Documento='$NoDocSuEn' AND Cve_Cuenta='$CveCueCR1'");
	if (mysql_numrows($sql_IEDL2)==0) 
	{///Inicia IF - Aprobación de Escritura en Cabecera			
					
	///Guarda el Documento de Recibo en la Interfaz			
	$sqlGR_BDGIA = "insert into interfaz_surtido_documentos (Cve_Bodega,Cve_Cuenta,No_Documento,Referencia1,Referencia2,TipoExtraccion,PedimentoExtraccion,EstadoDocumento,TipoSalida,Cliente_Destino,Prioridad,Vigencia,Observaciones,Nota1,Nota2,FechaCierre,FechaRegistro,HoraRegistro,UsuarioRegistro,Check_Int)
	values('$CveBodCR1','$CveCueCR1','$NoDocSuEn','$Refer1_DDSIA','$Refer2_DDSIA','$TipExt_DDSIA','$PedExt_DDSIA','$EdoDoc_DDSIA','$TipSal_DDSIA','$CveDes_DDSIA','$Priori_DDSIA','$Dispon_DDSIA','$Observ_DDSIA','$ANota1_DDSIA','$Anota2_DDSIA','$FeCier_DDSIA','$Fecha','$HoraOK','$UsuEn','753')";
								
	$resultado_BDGIA=mysql_query($sqlGR_BDGIA,$con_BDGIA) or die(mysql_error());

	}///Termina IF - Aprobación de Escritura en Cabecera
		
	///Configuramos conexión a BD WMS
	$con_WMS= mysql_connect("localhost","USegAcce01","2n@hOu@qZfLs");
	///mysql_select_db("wms_arcosa", $con_WMS);
	mysql_select_db("wms_arcosa_tepo1", $con_WMS);	

	///Generamos Barrido de todo el Recibo dentro del WMS para posteriormente mandarlo a la Interfaz
	$sql_W02 = "SELECT ID,CVE_BODEGA,CVE_CUENTA,NO_PALLET,SKU,CANT_XSURTIR,CANT_SURTIDA,LOTE,LOTEPRODU FROM tabla_tareas where NO_DOCUMENTO='$NoDocSuEn' AND CVE_CUENTA='$CveCueCR1' and `NO_PALLET`<>'' and `ESTADO_TAREA`<>'NO DISPONIBLE'";
    $res_W02=mysql_query($sql_W02) or die('Error en la consulta: '.mysql_error());
    While($row_W02 = mysql_fetch_array($res_W02,MYSQL_ASSOC))
	   { ///Inicia el While 02
			$IdBaDa_W02=$row_W02["ID"];
	        $CveBod_W02=$row_W02["CVE_BODEGA"];
			$CveCta_W02=$row_W02["CVE_CUENTA"];
			$NoPall_W02=$row_W02["NO_PALLET"];
			$CodSku_W02=$row_W02["SKU"];
			$CXSurt_W02=$row_W02["CANT_XSURTIR"];
			$CSurti_W02=$row_W02["CANT_SURTIDA"];
			$NoLote_W02=$row_W02["LOTE"];
			$LotPro_W02=$row_W02["LOTEPRODU"];
		
			///Identificar pesos Brutos y netos Declarados en el Kardex
			$sql_IdPes = mysql_query("select CANTIDAD_AUXILIAR,CANTIDAD_BRUTO from tabla_kardex WHERE SKU='$CodSku_W02' AND NO_DOCUMENTO='$NoDocSuEn' AND CVE_CUENTA='$CveCueCR1' AND PALLET='$NoPall_W02' AND MOVIMIENTO='SURTIDO'");
			if (mysql_numrows($sql_IdPes)==0) echo "";
			else{
			$registro_IdPes=mysql_fetch_array($sql_IdPes);
			}
			if (mysql_numrows($sql_IdPes)>0)
			{
			$PesNet_IdPes=$registro_IdPes["CANTIDAD_AUXILIAR"];
			$PesBru_IdPes=$registro_IdPes["CANTIDAD_BRUTO"];
			}
		
			///Identificar Datos extras proporcionados por el Stock
			$sql_IDES = mysql_query("select NO_DOCUMENTO,DESCRIPCION,CADUCIDAD from tabla_inventario where SKU='$CodSku_W02' AND CVE_CUENTA='$CveCueCR1' AND NO_PALLET='$NoPall_W02'");
			if (mysql_numrows($sql_IDES)==0) echo "";
			else{
				$registro_IDES=mysql_fetch_array($sql_IDES);
			}
			if (mysql_numrows($sql_IDES)>0)
			{
				$NoDoRe_IDES=$registro_IDES["NO_DOCUMENTO"];
				$Descip_IDES=$registro_IDES["DESCRIPCION"];
				$Caduci_IDES=$registro_IDES["CADUCIDAD"];
			}
		

///Identificar Embalajes y pesos del Codigo
			$sql_CDA = mysql_query("select PESO,TARA,EMBALAJE,DESCRIPCION from tabla_altaproducto where SKU='$CodSku_W02' AND CUENTA='$CveCueCR1'");
			if (mysql_numrows($sql_CDA)==0) echo "";
			else{
				$registro_CDA=mysql_fetch_array($sql_CDA);
			}
			if (mysql_numrows($sql_CDA)>0)
			{
				$PesoNeto_CDA=$registro_CDA["PESO"];
				$PesoTara_CDA=$registro_CDA["TARA"];
				$Embalaje_CDA=$registro_CDA["EMBALAJE"];
				$Descip_DDSIA3=$registro_CDA["DESCRIPCION"];
			}		
		
		
			///Configuramos conexión a BD Interfaces
			$con_BDGIA= mysql_connect("localhost","ArcosaTep1","Interf@ces_2018");
			mysql_select_db("wms_interfaces_gia_tep1", $con_BDGIA);
		
			$sql_IDES2 = mysql_query("select Codigo_RD from interfaz_conse_rd where No_Documento='$NoDoRe_IDES'");
			if (mysql_numrows($sql_IDES2)==0) echo "";
			else{
				$registro_IDES2=mysql_fetch_array($sql_IDES2);
			}
			if (mysql_numrows($sql_IDES2)>0)
			{
				$CodRD_IDES2=$registro_IDES2["Codigo_RD"];
			}
			///Fecha y Hora
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$Fecha=date("Y/m/d");	

			///Identificar si la Linea ya Fue informada --> NUEVO PROCESO
			$sql_IEDL = mysql_query("select No_Documento from interfaz_surtido_detalle where No_Documento='$NoDocSuEn' AND Cve_Cuenta='$CveCta_W02' AND IdClaveRastreo='$IdBaDa_W02'");
			if (mysql_numrows($sql_IEDL)==0) 
			{///Inicia IF - Aprobación de Escritura en Linea
					
			///Guarda el Documento de Recibo en la Interfaz			
			$sqlGR_BDGIA = "insert into interfaz_surtido_detalle (Cve_Bodega,Cve_Cuenta,No_Documento,Sku,Descripcion,Lote,LoteProduccion,Caducidad,CantidadXSurtir,CantidadSurtida,CantidadAuxiliar,CantidadAuxiliarBruta,CodigoRD_Ingreso,Embalaje,IdClaveRastreo,FechaRegistro,HoraRegistro,UsuarioRegistro,Check_Int)
			values('$CveBod_W02','$CveCta_W02','$NoDocSuEn','$CodSku_W02','$Descip_DDSIA3','$NoLote_W02','$LotPro_W02','$Caduci_IDES','$CXSurt_W02','$CSurti_W02','$PesNet_IdPes','$PesBru_IdPes','$CodRD_IDES2','$Embalaje_CDA','$IdBaDa_W02','$Fecha','$HoraOK','$UsuEn','753')";				
			$resultado_BDGIA=mysql_query($sqlGR_BDGIA,$con_BDGIA) or die(mysql_error());

			}///Termina IF - Aprobación de Escritura en Linea
		
			///Configuramos conexión a BD WMS
			$con_WMS= mysql_connect("localhost","USegAcce01","2n@hOu@qZfLs");
			///mysql_select_db("wms_arcosa", $con_WMS);
			mysql_select_db("wms_arcosa_tepo1", $con_WMS);
		
			///Limpiando Variables Operativas
			$IdBaDa_W02 = "";
	        $CveBod_W02 = "";
			$CveCta_W02 = "";
			$NoPall_W02 = "";
			$CodSku_W02 = "";
			$CXSurt_W02 = "";
			$CSurti_W02 = "";
			$NoLote_W02 = "";
			$LotPro_W02 = "";
			$NoDoRe_IDES = "";
			$Descip_IDES = "";
			$Caduci_IDES = "";
			$TotPesoNeto = "";
			$TotPesoBrut = "";
			$CodRD_IDES2 = "";
			$Descip_DDSIA3 = "";
			$Embalaje_CDA = "";

			$PesoNeto_CDA = "";
			$PesoTara_CDA = "";
			$Embalaje_CDA = "";
			$Descip_DDSIA3 = "";
			$TotPespTara = "";
			$TotNetRestante = "";
			$TotBruRestante = "";
		
			$PesNet_IdPes = "";
			$PesBru_IdPes = "";
	
	   } ///Termina el While 02
			
			
///********************* Inicia Proceso de Validación de Códigos RD y Cambio de Chec *********************///
					
///Configuramos conexión a BD Interfaces
	$con_BDGIA= mysql_connect("localhost","ArcosaTep1","Interf@ces_2018");
	mysql_select_db("wms_interfaces_gia_tep1", $con_BDGIA);					
					
	///Identificar los datos del Documento de Recibo
	   $sql_Vrd1 = mysql_query("SELECT COUNT( * ) As TotReg_Rd FROM `interfaz_surtido_detalle` WHERE `No_Documento`='$NoDocSuEn' AND `Cve_Cuenta`='$CveCueCR1'");
	   if (mysql_numrows($sql_Vrd1)==0) echo "";
	   else{
	   $registro_Vrd1=mysql_fetch_array($sql_Vrd1);
	   }
	   if (mysql_numrows($sql_Vrd1)>0)
	   {
	   	$TotRegxAna_Vrd1=$registro_Vrd1["TotReg_Rd"];
	   }
	
	  ///Iniciando el Contador en 0
	  $ContAnalizadoRD = "0";
					
	  $sql_WVrd1=mysql_query("Select * from `interfaz_surtido_detalle` WHERE `No_Documento`='$NoDocSuEn' AND `Cve_Cuenta`='$CveCueCR1' AND `Check_Int`='753' Order By ID ASC");
	  while($res_WVrd1=mysql_fetch_array($sql_WVrd1))
	  {///Inicia While WVrd1<br />

		  $IdBdIn_WVrd1 = $res_WVrd1['Id'];
		  $CveCta_WVrd1 = $res_WVrd1['Cve_Cuenta'];
		  $CodSku_WVrd1 = $res_WVrd1['Sku'];
		  $CodRdI_WVrd1 = $res_WVrd1['CodigoRD_Ingreso'];
		  $IdRaTa_WVrd1 = $res_WVrd1['IdClaveRastreo'];
		  $ChecIn_WVrd1 = $res_WVrd1['Check_Int'];
		  
		  ///Configuramos conexión a BD WMS
			$con_WMS= mysql_connect("localhost","USegAcce01","2n@hOu@qZfLs");
		  	///mysql_select_db("wms_arcosa", $con_WMS);
		  	mysql_select_db("wms_arcosa_tepo1", $con_WMS);
		  
		  		///Identificar el numero de Pallet dentro de las Tareas por medio del ID de la tabla
		  		$sql_Vrd2 = mysql_query("SELECT NO_PALLET FROM `tabla_tareas` WHERE `NO_DOCUMENTO`='$NoDocSuEn' AND `ID`='$IdRaTa_WVrd1' AND `CVE_CUENTA`='$CveCta_WVrd1'");
		  		if (mysql_numrows($sql_Vrd2)==0) echo "";
		  		else{
					$registro_Vrd2=mysql_fetch_array($sql_Vrd2);
				}
		  		if (mysql_numrows($sql_Vrd2)>0)
				{
					$NoPall_Vrd2=$registro_Vrd2["NO_PALLET"];
				}
		  
		  		///Identificar el numero de Documento dentro del Inventario por medio del Pallet
		  		$sql_Vrd3 = mysql_query("SELECT NO_DOCUMENTO FROM `tabla_inventario` WHERE `SKU`='$CodSku_WVrd1' AND 	`NO_PALLET`='$NoPall_Vrd2' AND `CVE_CUENTA`='$CveCta_WVrd1'");
		  		if (mysql_numrows($sql_Vrd3)==0) echo "";
		  		else{
				$registro_Vrd3=mysql_fetch_array($sql_Vrd3);
				}
		  		if (mysql_numrows($sql_Vrd3)>0)
				{
					$NoDoRec_Vrd3=$registro_Vrd3["NO_DOCUMENTO"];
				}
		  
		  ///Configuramos conexión a BD Interfaces
			$con_BDGIA= mysql_connect("localhost","ArcosaTep1","Interf@ces_2018");
			mysql_select_db("wms_interfaces_gia_tep1", $con_BDGIA);	
		  
		  		///Identificar el Codigo RD en la Interfaz por medio del No de Documento de Recibo
		  		$sql_Vrd4 = mysql_query("SELECT Codigo_RD FROM `interfaz_conse_rd` WHERE `No_Documento`='$NoDoRec_Vrd3' Limit 0,1");
		  		if (mysql_numrows($sql_Vrd4)==0) echo "";
		  		else{
				$registro_Vrd4=mysql_fetch_array($sql_Vrd4);
				}
		  		if (mysql_numrows($sql_Vrd4)>0)
				{
					$CodRdAna_Vrd4=$registro_Vrd4["Codigo_RD"];
				}
		  
		  	 	///Detectar igualdad entre Codigos RD
		  		if ($CodRdAna_Vrd4 == $CodRdI_WVrd1)
				{
					$ContAnalizadoRD = $ContAnalizadoRD + 1;
				}
		  
		  ///Limpiando Variables
		  	$IdBdIn_WVrd1 = "";
		  	$CveCta_WVrd1 = "";
		  	$CodSku_WVrd1 = "";
		  	$CodRdI_WVrd1 = "";
		  	$IdRaTa_WVrd1 = "";
		  	$ChecIn_WVrd1 = "";
		  	$NoPall_Vrd2 = "";
			$NoDoRec_Vrd3 = "";
			$CodRdAna_Vrd4 = "";
		  
	  }///Termina While WVrd1
					
///Configuramos conexión a BD Interfaces
	$con_BDGIA= mysql_connect("localhost","ArcosaTep1","Interf@ces_2018");
	mysql_select_db("wms_interfaces_gia_tep1", $con_BDGIA);	
					
	///Identificar si el Barrido de RD cuadra al 100%, de ser asi, se cambiara el Chec a 0, para ser procesado por GIA
		if ($ContAnalizadoRD == $TotRegxAna_Vrd1)
		{
			///Update a Registros en Interfaz
			$sql_MCI1="Update interfaz_surtido_documentos SET Check_Int='0' Where No_Documento='$NoDocSuEn' AND Cve_Cuenta='$CveCueCR1'";
			$resultado_MCI1=mysql_query($sql_MCI1,$con_BDGIA) or die(mysql_error());
			
			$sql_MCI2="Update interfaz_surtido_detalle SET Check_Int='0' Where No_Documento='$NoDocSuEn' AND Cve_Cuenta='$CveCueCR1'";
			$resultado_MCI2=mysql_query($sql_MCI2,$con_BDGIA) or die(mysql_error());
		}
					
					
///Configuramos conexión a BD WMS
	$con_WMS= mysql_connect("localhost","USegAcce01","2n@hOu@qZfLs");
	///mysql_select_db("wms_arcosa", $con_WMS);
	mysql_select_db("wms_arcosa_tepo1", $con_WMS);
					
					
///********************* Termina Proceso de Validación de Códigos RD y Cambio de Chec *********************///
			
			
///------------------------------------------------------------------------------------------------------------------					
///							TERMINA PROCESO ESPECIAL ARCOSA - COMUNICACION VIA INTERFAZ
///(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)///	
						
echo "<script>alert('Documento Reinterfazado Correctamente.');</script>";
echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=7-Surtidos_Interfazados.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
?>
</div>
<Br><Br><Br>
	
<!-- Termina Cuerpo de la Interfaz Gráfica -->

<?PHP


} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>
</body>
</html>